Get Coins Price Change
Get price change percentages and price amplitude (volatility) across multiple timeframes for all cryptocurrencies. Returns current price, price change % (5m, 15m, 30m, 1h, 4h, 12h, 24h), and price amplitude % (high-low range) for each timeframe. Ideal for: volatility screening, momentum detection, price alert triggers, market scanner dashboards.
Catalog action Blockchain Data
Get price change percentages and price amplitude (volatility) across multiple timeframes for all cryptocurrencies. Returns current price, price change % (5m, 15m, 30m, 1h, 4h, 12h, 24h), and price amplitude % (high-low range) for each timeframe. Ideal for: volatility screening, momentum detection, price alert triggers, market scanner dashboards.
At a Glance
| Field | Value |
|---|---|
| Action ID | coinglass-get-coins-price-change |
| Category | Blockchain Data |
| Connector | Not required |
| Requires gas | No |
| Funds movement | None declared |
| Tags | coinglass, price, price-change, futures, market, read |
Payload Schema
This action does not declare payload fields.
Result Schema
| Field | Type | Required | Description |
|---|---|---|---|
coins | array | Yes | Array of coin price change data |
Examples
json{ "type": "coinglass-get-coins-price-change", "payload": {}, "children": []}
bashcurl -X POST "https://api.b3os.org/v1/actions/coinglass-get-coins-price-change/test" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "inputs": {}}'
Payload fields can use workflow expressions such as {{$trigger.body.amount}}, {{$nodes.fetch.result.price}}, and {{$props.asset}} when the value should come from a trigger, prior node, or reusable workflow prop.
